function EasyPetLoad_PetButtons()
    -- BUTTON ANCHOR
    EasyPetAnchor = CreateFrame("Frame", "EasyPetAnchor", UIParent)
    EasyPetAnchor:SetWidth(35); EasyPetAnchor:SetHeight(35)
    EasyPetAnchor:SetMovable(true); EasyPetAnchor:EnableMouse(true); 
    EasyPetAnchor:SetPoint("CENTER", UIParent, "CENTER", 0, -275)
    
    EasyPetAnchor:SetScript("OnMouseDown", function() EasyPetAnchor:StartMoving() end)
    EasyPetAnchor:SetScript("OnMouseUp", function() EasyPetAnchor:StopMovingOrSizing() end)
    EasyPetAnchor:SetScript("OnDragStop", function() EasyPetAnchor:StopMovingOrSizing() end)
    EasyPetAnchor:SetScript("OnLeave", function() GameTooltip:Hide() end)
    EasyPetAnchor:SetScript("OnEnter", function() GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetText(LeftToDrag) end)

    local t = EasyPetAnchor:CreateTexture(nil,"BACKGROUND")
    t:SetTexture("Interface\\Addons\\EasyPet\\anchor.tga")
    t:SetAllPoints(EasyPetAnchor)
    EasyPetAnchor.texture = t

    -- DEBUG TEXT
    EasyPetMsg = CreateFrame("MessageFrame", "EasyPetMsg", UIParent)
    EasyPetMsg:SetFontObject(GameFontNormal)
    EasyPetMsg:SetWidth(1024); EasyPetMsg:SetHeight(15)
    EasyPetMsg:SetPoint("CENTER", EasyPetAnchor, "CENTER", 0, -30)
        
    -- BUTTON 1 ### FELHUNTER
    EasyPetButton1 = CreateFrame("Button", "EasyPetButton1", UIParent, "EasyPetButtonTemplate")
    EasyPetButton1:SetWidth(60); EasyPetButton1:SetHeight(60); EasyPetButton1:SetID(1)
    EasyPetButton1:SetMovable(true); EasyPetButton1:EnableMouse(true); 
    EasyPetButton1:SetPoint("CENTER", EasyPetAnchor, "CENTER", -60, -100)
    
    EasyPetButton1:SetAttribute("type", "spell")
    EasyPetButton1:SetAttribute("unit", "player")
    EasyPetButton1:SetAttribute("spell", EasyDevour)

    EasyPetButton1:SetScript("OnLeave", function() GameTooltip:Hide() end)
    EasyPetButton1:SetScript("OnEnter", function() if EasyPetTooltipCheck(EasyDevour) then return end; GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(EasyPet_SpellNumber(EasyDevour), BOOKTYPE_PET); GameTooltip:AddLine("\n"..Easy_Target0, 1, 1, 1); GameTooltip:Show() end)

    local t = EasyPetButton1:CreateTexture(nil,"BACKGROUND")
        t:SetTexture("Interface/Icons/Spell_Nature_Purge")
        t:SetAllPoints(EasyPetButton1)
        EasyPetButton1.texture = t

    -- BUTTON 2 ### FELHUNTER
    EasyPetButton2 = CreateFrame("Button", "EasyPetButton2", UIParent, "EasyPetButtonTemplate")
    EasyPetButton2:SetWidth(60); EasyPetButton2:SetHeight(60); EasyPetButton2:SetID(2)
    EasyPetButton2:SetMovable(true); EasyPetButton2:EnableMouse(true); 
    EasyPetButton2:SetPoint("CENTER", EasyPetButton1, "RIGHT", 30, -30)
    
    EasyPetButton2:SetAttribute("type", "spell")
    EasyPetButton2:SetAttribute("unit", "pet")
    EasyPetButton2:SetAttribute("spell", EasyDevour)

    EasyPetButton2:SetScript("OnLeave", function() GameTooltip:Hide() end)
    EasyPetButton2:SetScript("OnEnter", function() if EasyPetTooltipCheck(EasyDevour) then return end; GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(EasyPet_SpellNumber(EasyDevour), BOOKTYPE_PET); GameTooltip:AddLine("\n"..Easy_Target1, 1, 1, 1); GameTooltip:Show() end)

    local t = EasyPetButton2:CreateTexture(nil,"BACKGROUND")
        t:SetTexture("Interface/Icons/Spell_Shadow_SummonFelHunter")
        t:SetAllPoints(EasyPetButton2)
        EasyPetButton2.texture = t

    -- BUTTON 3 ### FELHUNTER
    EasyPetButton3 = CreateFrame("Button", "EasyPetButton3", UIParent, "EasyPetButtonTemplate")
    EasyPetButton3:SetWidth(60); EasyPetButton3:SetHeight(60); EasyPetButton3:SetID(3)
    EasyPetButton3:SetMovable(true); EasyPetButton3:EnableMouse(true); 
    EasyPetButton3:SetPoint("CENTER", EasyPetButton2, "RIGHT", 30, 30)
    
    EasyPetButton3:SetAttribute("type", "spell")
    EasyPetButton3:SetAttribute("spell", EasyDevour)

    EasyPetButton3:SetScript("OnLeave", function() GameTooltip:Hide() end)
    EasyPetButton3:SetScript("OnEnter", function() if EasyPetTooltipCheck(EasyDevour) then return end; GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(EasyPet_SpellNumber(EasyDevour), BOOKTYPE_PET); GameTooltip:AddLine("\n"..Easy_Target2, 1, 1, 1);GameTooltip:Show() end)

    local t = EasyPetButton3:CreateTexture(nil,"BACKGROUND")
        t:SetTexture("Interface/Icons/Spell_Holy_DispelMagic")
        t:SetAllPoints(EasyPetButton3)
        EasyPetButton3.texture = t

    -- BUTTON 8 ### FELPUPPY
    EasyPetButton4 = CreateFrame("Button", "EasyPetButton4", UIParent, "EasyPetButtonTemplate")
    EasyPetButton4:SetWidth(60); EasyPetButton4:SetHeight(60); EasyPetButton4:SetID(8)
    EasyPetButton4:SetMovable(true); EasyPetButton4:EnableMouse(true); 
    EasyPetButton4:SetPoint("CENTER", EasyPetButton1, "RIGHT", 30, 30)
    
    EasyPetButton4:SetAttribute("type", "spell")
    EasyPetButton4:SetAttribute("spell", EasySpellLock)

    EasyPetButton4:SetScript("OnLeave", function() GameTooltip:Hide() end)
    EasyPetButton4:SetScript("OnEnter", function() if EasyPetTooltipCheck(EasySpellLock) then return end; GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(EasyPet_SpellNumber(EasySpellLock), BOOKTYPE_PET); GameTooltip:Show()  end)

    local t = EasyPetButton4:CreateTexture(nil,"BACKGROUND")
        t:SetTexture("Interface/Icons/Spell_Shadow_MindRot")
        t:SetAllPoints(EasyPetButton4)
        EasyPetButton4.texture = t
        
    -- BUTTON 5 ### SUCCUBUS
    EasyPetButton5 = CreateFrame("Button", "EasyPetButton5", UIParent, "EasyPetButtonTemplate")
    EasyPetButton5:SetWidth(60); EasyPetButton5:SetHeight(60); EasyPetButton5:SetID(4)
    EasyPetButton5:SetMovable(true); EasyPetButton4:EnableMouse(true); 
    EasyPetButton5:SetPoint("CENTER", EasyPetAnchor, "CENTER", 0, -130)
    
    EasyPetButton5:SetAttribute("type", "spell")
    EasyPetButton5:SetAttribute("spell", EasySeduce)

    EasyPetButton5:SetScript("OnLeave", function() GameTooltip:Hide() end)
    EasyPetButton5:SetScript("OnEnter", function() if EasyPetTooltipCheck(EasySeduce) then return end; GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(EasyPet_SpellNumber(EasySeduce), BOOKTYPE_PET); GameTooltip:Show() end)

    local t = EasyPetButton5:CreateTexture(nil,"BACKGROUND")
        t:SetTexture("Interface/Icons/Spell_Shadow_MindSteal")
        t:SetAllPoints(EasyPetButton5)
        EasyPetButton5.texture = t

    -- BUTTON 6 ### VOIDWALKER
    EasyPetButton6 = CreateFrame("Button", "EasyPetButton6", UIParent, "EasyPetButtonTemplate")
    EasyPetButton6:SetWidth(60); EasyPetButton6:SetHeight(60); EasyPetButton6:SetID(5)
    EasyPetButton6:SetMovable(true); EasyPetButton6:EnableMouse(true); 
    EasyPetButton6:SetPoint("CENTER", EasyPetAnchor, "CENTER", -30, -130)
    
    EasyPetButton6:SetAttribute("type", "spell")
    EasyPetButton6:SetAttribute("spell", EasySac)

    EasyPetButton6:SetScript("OnLeave", function() GameTooltip:Hide() end)
    EasyPetButton6:SetScript("OnEnter", function() if EasyPetTooltipCheck(EasySac) then return end; GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(EasyPet_SpellNumber(EasySac), BOOKTYPE_PET); GameTooltip:AddLine("\n"..Easy_Target0, 1, 1, 1); GameTooltip:Show() end)

    local t = EasyPetButton6:CreateTexture(nil,"BACKGROUND")
        t:SetTexture("Interface/Icons/Spell_Shadow_SacrificialShield")
        t:SetAllPoints(EasyPetButton6)
        EasyPetButton6.texture = t

    -- BUTTON 7 ### VOIDWALKER
    EasyPetButton7 = CreateFrame("Button", "EasyPetButton7", UIParent, "EasyPetButtonTemplate")
    EasyPetButton7:SetWidth(60); EasyPetButton7:SetHeight(60); EasyPetButton7:SetID(6)
    EasyPetButton7:SetMovable(true); EasyPetButton7:EnableMouse(true); 
    EasyPetButton7:SetPoint("CENTER", EasyPetButton6, "RIGHT", 30, 0)
    
    EasyPetButton7:SetAttribute("type", "spell")
    EasyPetButton7:SetAttribute("spell", EasyConsume)

    EasyPetButton7:SetScript("OnLeave", function() GameTooltip:Hide() end)
    EasyPetButton7:SetScript("OnEnter", function() if EasyPetTooltipCheck(EasyConsume) then return end; GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(EasyPet_SpellNumber(EasyConsume), BOOKTYPE_PET); GameTooltip:Show() end)

    local t = EasyPetButton7:CreateTexture(nil,"BACKGROUND")
        t:SetTexture("Interface/Icons/Spell_Shadow_GatherShadows")
        t:SetAllPoints(EasyPetButton7)
        EasyPetButton7.texture = t

    -- BUTTON 8 ### FELGUARD
    EasyPetButton8 = CreateFrame("Button", "EasyPetButton8", UIParent, "EasyPetButtonTemplate")
    EasyPetButton8:SetWidth(60); EasyPetButton8:SetHeight(60); EasyPetButton8:SetID(7)
    EasyPetButton8:SetMovable(true); EasyPetButton8:EnableMouse(true); 
    EasyPetButton8:SetPoint("CENTER", EasyPetAnchor, "CENTER", 0, -130)
    
    EasyPetButton8:SetAttribute("type", "spell")
    EasyPetButton8:SetAttribute("spell", EasyIntercept)

    EasyPetButton8:SetScript("OnLeave", function() GameTooltip:Hide() end)
    EasyPetButton8:SetScript("OnEnter", function() if EasyPetTooltipCheck(EasyIntercept) then return end; GameTooltip:SetOwner(this, "ANCHOR_CURSOR"); GameTooltip:SetSpell(EasyPet_SpellNumber(EasyIntercept), BOOKTYPE_PET); GameTooltip:Show() end)

    local t = EasyPetButton8:CreateTexture(nil,"BACKGROUND")
        t:SetTexture("Interface/Icons/Ability_Rogue_Sprint")
        t:SetAllPoints(EasyPetButton8)
        EasyPetButton8.texture = t
end