EasyPet = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceConsole-2.0", "AceDB-2.0")
EasyPet.options = AceLibrary("Dewdrop-2.0")
EasyPet:RegisterDB("EasyPetDB")
EasyPet:RegisterDefaults("profile", {
    -- AUTOMATIC STUFF
    Locked = true,
    Scale = .8,
    }
)

                                    
EasyPet_Notice = {
    type = "group",
    desc = "Placement",
    args = {    
        ["notice"] = {
            name = Easy_Mouse,
            type = "toggle",
            desc = Easy_ReadMeTxt,
            get = function() end,
            set = function() end,
            notCheckable = true,
        },
    }
}

EasyPet_Placement = {
    type = "group",
    desc = "Placement",
    args = {    
        ["Center"] = {
            name = Easy_Center0,
            type = "toggle",
            desc = Easy_Center1,
            get = function() end,
            set = function() if not EasyPetClassCheck() then DEFAULT_CHAT_FRAME:AddMessage(Easy_Error2) return end
            EasyPetAnchor:ClearAllPoints(); EasyPetAnchor:SetPoint("CENTER", UIParent, "CENTER", 0, -200); EasyPetAnchor:SetUserPlaced(true) end,
            notCheckable = true,
        },
        ["BelowMinimap"] = {
            name = Easy_BMM0,
            type = "toggle",
            desc = Easy_BMM1,
            get = function() end,
            set = function() if not EasyPetClassCheck() then DEFAULT_CHAT_FRAME:AddMessage(Easy_Error2) return end
            EasyPetAnchor:ClearAllPoints(); EasyPetAnchor:SetPoint("CENTER", Minimap, "BOTTOM", 0, -20); EasyPetAnchor:SetUserPlaced(true) end,
            notCheckable = true,
        },
        ["TopCenter"] = {
            name = Easy_TC0,
            type = "toggle",
            desc = Easy_TC1,
            get = function() end,
            set = function() if not EasyPetClassCheck() then DEFAULT_CHAT_FRAME:AddMessage(Easy_Error2) return end
            EasyPetAnchor:ClearAllPoints(); EasyPetAnchor:SetPoint("CENTER", UIParent, "TOP", 0, -10); EasyPetAnchor:SetUserPlaced(true) end,
            notCheckable = true,
        },
    }
}

EasyPet_Drag = {
    type = "group",
    desc = "Drag",
    args = {    
        ["Lock"] = {
            name = Easy_Drag0,
            type = "toggle",
            desc = Easy_Drag1,
            get = function() return EasyPet.db.profile.Locked end,
            set = function()
                if not EasyPetClassCheck() then DEFAULT_CHAT_FRAME:AddMessage(Easy_Error2) return end
                if EasyPet.db.profile.Locked then
                    EasyPetAnchor:EnableMouse(0)
                    EasyPetAnchor:Hide()
                    EasyPet.db.profile.Locked = false
                else
                    EasyPetAnchor:EnableMouse(1)
                    EasyPetAnchor:Show()
                    EasyPet.db.profile.Locked = true
                end
            end
        },
    }
}

EasyPet_Scale = {
    type = "group",
    desc = "Scale",
    args = {
        ["SCALE"] = {
            name = Easy_Scale0,
            type = "range",
            desc = Easy_Scale1,
            get = function() return EasyPet.db.profile.Scale end,
            set = function(v)
                if not EasyPetClassCheck() then DEFAULT_CHAT_FRAME:AddMessage(Easy_Error2) return end
                EasyPet.db.profile.Scale = v
                for i = 1, 8 do
                    local button = getglobal("EasyPetButton"..i)
                    button:SetScale(EasyPet.db.profile.Scale)
                end
            end,
            min = 0,
            max = 2, -- since percentage, max is 100%,
            step = 0.05, -- every 5%
            isPercent = false,
        },
    }
}